export const colorLegend = (selection, props) => {
  const { 
    colorScale,
    circleRadius,
    spacing,
    textOffset
  } = props;
  
  const groups = selection.selectAll("g")
  	.data(colorScale.domain());
  const groupsEnter = groups.enter().append("g")
  		.attr("class", "tick");
  groupsEnter.merge(groups)
  		.attr("transform", (d, i) => `translate(0, ${i * spacing})`)     
  groups.exit()
  	.select("circle")
  	.transition().duration(1000)
  		.attr("r", 0)  	
  groups.exit()
  	.transition().duration(1000)
  	.remove()
   
  groupsEnter.append("circle")
  	.attr("r", 0)
  	.merge(groups.select("circle"))
  	.transition().duration(1000)
  		.attr('fill', colorScale)
  		.attr('r', circleRadius);
    
  groupsEnter.append("text")
  	.merge(groups.select("text"))
  		.attr("x", textOffset)
  		.attr("alignment-baseline", "middle")
  		.text(d => d)  
}