import  { select, scaleOrdinal, scaleSqrt, zoom, event } from 'd3';
import { colorLegend } from "./colorLegend";
import { sizeLegend } from "./sizeLegend";

const svg = select("svg");
const g = svg.append("g");
svg.call(zoom().on('zoom', () => g.attr('transform', event.transform)))
const height = +svg.attr("height");

const colorScale = scaleOrdinal()
	.domain(["apple", "orange", "lemon"])
	.range(["crimson", "orange", "gold"]);

g.append("g")
		.attr("transform", `translate(50, 100)`)
	.call(colorLegend, { 
    colorScale,
    circleRadius: 30,
  	spacing: 80,
  	textOffset: 100
	});
const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 50]);

g.append("g")
		.attr("transform", `translate(50, 350)`)
	.call(sizeLegend, { 
    sizeScale,
  	spacing: 70,
  	textOffset: 100,
  	circleFill: "rgba(255, 163, 237, 0.5)",
  	numTicks: 10
	});